[package]
name = "emseries"
version = "0.6.0"
authors = ["Savanni D'Gerinel <savanni@luminescent-dreams.com>"]
description = "an Embedded Time Series database"
license = "GPL-3.0-only"
# license-file = "../COPYING"
documentation = "https://docs.rs/emseries"
homepage = "https://github.com/luminescent-dreams/emseries"
repository = "https://github.com/luminescent-dreams/emseries"
categories = ["database-implementations"]

include = [
    "**/*.rs",
    "Cargo.toml",
    "fixtures/*",
]

[dependencies]
chrono = { version = "0.4", features = ["serde"] }
chrono-tz = { version = "0.8", features = ["serde"] }
serde = "1"
serde_derive = "1"
serde_json = "1.0"
thiserror = "1.0"
uuid = { version = "0.8", features = ["v4", "serde"] }

[dev-dependencies]
tempfile = "3.1"
dimensioned = { version = "0.7", features = ["serde"] }
